/*
 * This file is a component of thundr, a software library from 3wks.
 * Read more: http://www.3wks.com.au/thundr
 * Copyright (C) 2013 3wks, <thundr@3wks.com.au>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.threewks.thundr.googleapis.bigquery;

/**
 * Represents the status of a BigQuery job.
 */
public class BigQueryJobStatus {

	private String jobId;
	private JobState state;
	private String error;

	public BigQueryJobStatus(String jobId, JobState state, String error) {
		this.jobId = jobId;
		this.state = state;
		this.error = error;
	}

	public String getJobId() {
		return jobId;
	}

	public JobState getState() {
		return state;
	}

	public String getError() {
		return error;
	}

	public static enum JobState {
		RUNNING,
		DONE,
		UNKNOWN;

		public static JobState getState(String state) {
			try {
				return JobState.valueOf(state);
			} catch (Exception e) {
				return JobState.UNKNOWN;
			}
		}
	}

}
