/*
 * This file is a component of thundr, a software library from 3wks.
 * Read more: http://www.3wks.com.au/thundr
 * Copyright (C) 2013 3wks, <thundr@3wks.com.au>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.threewks.thundr.googleapis.prediction;

import org.apache.commons.lang3.StringUtils;

public class PredictionDataHelper {
	public static String emailDomain(String emailAddress) {
		return StringUtils.substringAfter(emailAddress, "@");
	}

	public static String normaliseWhitespace(String string) {
		return string == null ? "" : string.replaceAll("\\s+", " ");
	}

	public static int countWords(String string) {
		return normalisePunctuationToSpaces(string).split("\\s+").length;
	}

	public static int countNewlines(String string) {
		return string == null ? 0 : string.replaceAll("[^\\n]", "").length();
	}

	public static String normalisePunctuationToSpaces(String string) {
		return string == null ? "" : string.replaceAll("\\p{Punct}", " ");
	}

	public static String remove(String string, String regex) {
		return string == null ? "" : string.replaceAll(regex, "");
	}
}
